<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <h1>#{messages['gazelle.svs.ValueSetBrowser_2']}</h1>
            <h:outputText value="#{messages['gazelle.svs.FindBelowTheListOfValueSetsRegisteredInThisAppli']}"/>
            <a href="/SVSSimulator/repository/svsRepository.seam">
                <h:outputText value="#{messages['gazelle.svs.ClickHereToAccessTheConfigurationOfTheValueSetRe']}"/>
            </a>
            <s:div id="divFilterValueSet">
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['gazelle.svs.SearchCriteria']}"/>
                        <span class="pull-right">
                        <a4j:commandLink title="#{messages['gazelle.svs.ResetFilter']}"
                                         actionListener="#{valueSetManagerSVS.resetFilter()}"
                                         render="globalForm">
                            <span class="fa fa-times-circle"></span>
                        </a4j:commandLink>
                        </span>
                    </ui:define>

                    <div class="row">
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filter" value="#{valueSetManagerSVS.filter}"/>
                                <ui:param name="filterId" value="purpose"/>
                                <ui:param name="filterName" value="#{messages['gazelle.svs.Purpose']}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                        <div class="col-lg-6">
                            <ui:include src="/filter/filter.xhtml">
                                <ui:param name="filter" value="#{valueSetManagerSVS.filter}"/>
                                <ui:param name="filterId" value="groupOid"/>
                                <ui:param name="filterName" value="#{messages['gazelle.svs.GroupOID_2']}"/>
                                <ui:param name="filterForm" value="globalForm"/>
                            </ui:include>
                        </div>
                    </div>

                    <s:div id="advancedFilter" rendered="#{valueSetManagerSVS.boolExtendedFilter}">

                        <div class="row">
                            <div class="col-lg-6">
                                <ui:include src="/filter/filterDate.xhtml">
                                    <ui:param name="filter" value="#{valueSetManagerSVS.filter}"/>
                                    <ui:param name="filterId" value="effectiveDate"/>
                                    <ui:param name="filterName"
                                              value="#{messages['net.ihe.gazelle.simulators.EffectiveDate']}"/>
                                    <ui:param name="filterForm" value="globalForm"/>
                                </ui:include>
                            </div>
                            <div class="col-lg-6">
                                <ui:include src="/filter/filterDate.xhtml">
                                    <ui:param name="filter" value="#{valueSetManagerSVS.filter}"/>
                                    <ui:param name="filterId" value="creationDate"/>
                                    <ui:param name="filterName"
                                              value="#{messages['net.ihe.gazelle.simulators.CreationDate']}"/>
                                    <ui:param name="filterForm" value="globalForm"/>
                                </ui:include>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-6">
                                <ui:include src="/filter/filterDate.xhtml">
                                    <ui:param name="filter" value="#{valueSetManagerSVS.filter}"/>
                                    <ui:param name="filterId" value="revisionDate"/>
                                    <ui:param name="filterName"
                                              value="#{messages['net.ihe.gazelle.simulators.RevisionDate']}"/>
                                    <ui:param name="filterForm" value="globalForm"/>
                                </ui:include>
                            </div>
                            <div class="col-lg-6">
                                <ui:include src="/filter/filterDate.xhtml">
                                    <ui:param name="filter" value="#{valueSetManagerSVS.filter}"/>
                                    <ui:param name="filterId" value="expirationDate"/>
                                    <ui:param name="filterName"
                                              value="#{messages['net.ihe.gazelle.simulators.ExpirationDate']}"/>
                                    <ui:param name="filterForm" value="globalForm"/>
                                </ui:include>
                            </div>
                        </div>

                    </s:div>

                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['gazelle.svs.ShowExtendedFilter']}"
                                           styleClass="gzl-btn-blue"
                                           actionListener="#{valueSetManagerSVS.setBoolExtendedFilter(true)}"
                                           id="buttonExtendedFilterShow"
                                           rendered="#{not valueSetManagerSVS.boolExtendedFilter}"
                                           render="divFilterValueSet"/>
                        <a4j:commandButton value="#{messages['gazelle.svs.HideExtendedFilter']}"
                                           styleClass="gzl-btn-blue"
                                           actionListener="#{valueSetManagerSVS.setBoolExtendedFilter(false)}"
                                           id="buttonExtendedFilterHide"
                                           rendered="#{valueSetManagerSVS.boolExtendedFilter}"
                                           render="divFilterValueSet"/>
                    </ui:define>
                </ui:decorate>
            </s:div>

            <s:div id="divTableValueSet">
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.simulators.ValueSetBrowserTable']}
                    </ui:define>
                    <rich:dataTable value="#{valueSetManagerSVS.getAllValueSets()}" var="vs"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="tableValueSets" render="ds">
                        <g:column filterBy="#{'id'}"
                                  width="170px"
                                  label="OID">
                            <ui:define name="header">#{messages['net.ihe.gazelle.simulators.OID']}</ui:define>
                            <h:outputLink value="#{valueSetManagerSVS.retrieveValueSet(vs.id)}" target="blank_">
                                <h:outputText value="#{vs.id}"/>
                            </h:outputLink>
                        </g:column>
                        <g:column filterBy="#{'displayName'}"
                                  label="displayName">
                            <ui:define name="header">#{messages['gazelle.svs.DisplayName_2']}</ui:define>
                            <h:outputText value="#{vs.displayName}"/>
                        </g:column>
                        <g:column sortable="true" filterBy="#{'version'}"
                                  label="version">
                            <ui:define name="header">#{messages['gazelle.simulator.version']}</ui:define>
                            <h:outputText value="#{vs.version}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['gazelle.svs.Purpose']}</ui:define>
                            <h:outputText value="#{vs.purpose}"/>
                        </g:column>
                        <g:column>
                            <ui:define name="header">#{messages['users.Action']}</ui:define>
                            <div class="gzl-never-wrap">
                                <h:commandLink id="viewActionButton" title="#{messages['gazelle.svs.MoreDetails']}"
                                               action="#{valueSetManagerSVS.displayValueSet(vs)}"
                                               oncomplete="jq162('#iconPopup').modal('show');">
                                    <span class="gzl-icon-search"></span>
                                </h:commandLink>
                                <h:commandLink id="editActionButton" title="#{messages['gazelle.svs.EditValueSet']}"
                                               rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin()}"
                                               action="#{valueSetManagerSVS.editValueSet(vs)}"
                                               oncomplete="jq162('#iconPopup').modal('show');">
                                    <span class="gzl-icon-pencil"></span>
                                </h:commandLink>
                                <a4j:commandLink id="deleteActionButton"
                                                 title="#{messages['gazelle.svs.DeleteValueSet']}"
                                                 render="deleteTextDiv"
                                                 rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin()}"
                                                 actionListener="#{valueSetManagerSVS.setSelectedValueSet(vs)}"
                                                 oncomplete="jq162('#deletePopup').modal('show');">
                                    <span class="gzl-icon-trash-o"></span>
                                </a4j:commandLink>
                            </div>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="tableValueSets"/>
                            </ui:include>
                        </f:facet>
                    </rich:dataTable>
                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['gazelle.svs.AddNewValueSet']}" styleClass="gzl-btn-blue"
                                           action="/browser/createValueSet.seam"
                                           rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin()}"/>
                        <a4j:commandButton value="#{messages['gazelle.svs.ImportValueSetFromFile']}"
                                           styleClass="gzl-btn"
                                           action="/browser/importValueSetFromFile.seam"
                                           rendered="#{applicationConfigurationManager.isUserAllowedAsAdmin()}"/>
                        <a4j:commandButton value="#{messages['gazelle.svs.GroupBrowser']}" styleClass="gzl-btn"
                                           action="/browser/groupBrowser.seam"/>
                    </ui:define>
                </ui:decorate>
            </s:div>

            <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
                <ui:param name="popup_id" value="deletePopup"/>
                <ui:param name="styleClass" value="modal-sm"/>
                <ui:param name="headerStyleClass" value="gzl-text-red"/>
                <ui:define name="popup_title">
                    <span class="fa fa-exclamation-triangle"></span>
                    #{messages['net.ihe.gazelle.simulators.DeleteValueSet']}
                </ui:define>
                <ui:param name="bodyStyleClass" value="bg-warning"/>
                <s:div id="deleteTextDiv">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.svssimulator.AreYouSureToDeleteTheValuesetWithTheOid']} #{valueSetManagerSVS.selectedValueSet.id} ?"/>
                </s:div>
                <ui:define name="popup_footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.svssimulator.Yes']}"
                                       title="#{messages['users.Delete']} #{valueSetManagerSVS.getSelectedValueSet().getId()}"
                                       action="#{valueSetManagerSVS.deleteSelectedValueSet()}"
                                       oncomplete="jq162('#deletePopup').modal('hide');"
                                       render="divTableValueSet"
                                       styleClass="gzl-btn-red"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.svssimulator.No']}"
                                       styleClass="gzl-btn"
                                       oncomplete="jq162('#deletePopup').modal('hide');"/>
                </ui:define>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
